Bug 1020834 - [RFE] Explicit marking of automatic changes during change of bug
[RFE] Explicit marking of automatic changes during change of bug
Status: CLOSED UPSTREAM
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 07:02 EDT by Petr Holasek
Modified: 2016-10-04 00:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 17:23:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 946565 None None None Never

  None (edit)
Description Petr Holasek 2013-10-18 07:02:58 EDT
Description of problem:

Hi,

I think that automatic changes done along to user's bug change should be marked explicitly.

Reproducer:
1. I am in Devel group and moving kernel bug from ON_QA back to ASSIGNED because of some problem described in comments which is not FailedQA.
2. There is automatically added FailedQA into Verified field under my name which breaks accountability a bit.

Expected result:
Mark change Verified: FailedQA as "auto" or something like that.
Comment 1 Jason McDonald 2013-10-21 00:34:54 EDT
The automatic addition of "FailedQA" to the Verified field was added to Bugzilla in Bug 565827. I presume that this was done to satisfy the requirements of the CDW process used for RHEL releases.

The relevant code fragment (from extensions/RedHat/Extension.pm) is:

    881     # REDHAT EXTENSION START 565827 826305
    882     if ($changes->{'bug_status'}
    883         and (grep($_ eq $old_bug->status->name, ('ON_QA', 'VERIFIED', 'RELEASE_PENDING')))
    884         and $bug->status->name eq 'ASSIGNED'
    885         and $user->can_set_partner('FailedQA')
    886         and not grep($_ eq 'FailedQA', @{$bug->cf_verified})
    887     ){
    888         $dbh->do("INSERT INTO bug_cf_verified (bug_id, value) VALUES (?, ?)",
    889                  undef, $bug->id, 'FailedQA');
    890         # Log the change
    891         LogActivityEntry(
    892             $bug->id,
    893             'cf_verified',
    894             '',
    895             'FailedQA',
    896             $user->id,
    897             $timestamp
    898         );
    899     }
    900     # REDHAT EXTENSION END 565827 826305

There are a number of other automatic field changes in nearby code that are also logged to the activity history under the identity of the user making the changes that trigger the automatic change.

While I have no philosophical objection to changing that behaviour, the mandate for Bugzilla's implementation of the CDW doesn't belong to me.  That role is currently filled by Suzanne Yeghiayan (now CC'd on this bug) and you will need to negotiate any change to CDW-related behaviour of Bugzilla with her.
Comment 2 Petr Holasek 2013-10-21 04:48:58 EDT
Jason, thank you for the informations!

Suzanne, what do you think about this proposed change? It seems to me that it won't break anything, just add more verbosity into state changes descriptions.
Comment 3 Suzanne Yeghiayan 2013-10-21 11:38:47 EDT
AFAIK, the QE Department requested this change.  It was not a change requested by Program Management for CDW.  I suggest you start by asking Ben Levenson about it.
Comment 4 Jason McDonald 2013-10-21 22:05:43 EDT
Ben, are you able to comment on the above?
Comment 5 Simon Green 2013-12-03 00:32:46 EST
This bug is specifically about the CDW. It's about changes made by bugzilla@redhat.com (most of which are defined in extension/RedHat/Extension.pm being attributed in the e-mails to the person making the original change, not the bugzilla@redhat.com user.

Having said that, this is one of those bugs that once you've spent time looking into it, you can fix it straight away. Targeting for sprint13, need to work on a patch for upstream though.

If there are changes required in regards to the CDW, that is a separate bug, and should be filed as such.

E-mails with multi user changes will now look like:

Red Hat Bugzilla <bugzilla@redhat.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
              Group|                            |devel, qa

Simon Green <sgreen@redhat.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |sgreen@redhat.com
Comment 6 Simon Green 2013-12-04 23:30:36 EST
Submitted upstream patch for this. It doesn't go cleanly into our code, so I'll do another patch for us towards the end of the sprint.
Comment 7 Simon Green 2014-01-02 17:22:23 EST
We'll inherit this as part of the upstream merge process. There will be a conflict, but that can be fixed on commit.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.